commit 9f9b17f5778d43cbf6f5a72060ab097ffeaacd36
parent c9330dba880f2e87929eef2742514b16708e30bd
Author: Benjamin Piaud <benjamin.piaud@meso-star.com>
Date: Tue, 8 Dec 2020 15:22:30 +0100
heatsink exemple
Diffstat:
14 files changed, 142 insertions(+), 0 deletions(-)
diff --git a/heatsink/Boundary.stl b/heatsink/Boundary.stl
@@ -0,0 +1 @@
+#$# git-wad cb4e6847f1e4947450ec1390f6394a5db4a2f1c7caef6f36f4b4f888035a899d 61652
+\ No newline at end of file
diff --git a/heatsink/Boundary_multiple.stl b/heatsink/Boundary_multiple.stl
@@ -0,0 +1 @@
+#$# git-wad a0dca9851cfc5879933afcbd46ec9f7fd1281f45e2907e7c7c8e11a9c5f5a91a 3545052
+\ No newline at end of file
diff --git a/heatsink/S_chip.stl b/heatsink/S_chip.stl
@@ -0,0 +1 @@
+#$# git-wad 3588251d6b987aed9d45dd78bef8327240dfb9b48dac7f02986ddc896e9f7df5 2570
+\ No newline at end of file
diff --git a/heatsink/S_chip_multiple.stl b/heatsink/S_chip_multiple.stl
@@ -0,0 +1 @@
+#$# git-wad 9b57083274958f71239476ec84205658fd2e08a01506bec9a08a5a2b8268345d 151816
+\ No newline at end of file
diff --git a/heatsink/S_heatsink.stl b/heatsink/S_heatsink.stl
@@ -0,0 +1 @@
+#$# git-wad f98dd3acf17c932bacefda188d20de1fa7d04de1febe3ae841b0aa965ede6125 58324
+\ No newline at end of file
diff --git a/heatsink/S_heatsink_multiple.stl b/heatsink/S_heatsink_multiple.stl
@@ -0,0 +1 @@
+#$# git-wad de0891eb758a019282c1b51fd54533fa2b91d2dc323f049473e2ccac92e0f3ed 3342652
+\ No newline at end of file
diff --git a/heatsink/S_tim.stl b/heatsink/S_tim.stl
@@ -0,0 +1 @@
+#$# git-wad a23dcafb9a9a6578b4237b9e68c250fdca90538bb37f5345ee9007dfe935086d 2568
+\ No newline at end of file
diff --git a/heatsink/S_tim_multiple.stl b/heatsink/S_tim_multiple.stl
@@ -0,0 +1 @@
+#$# git-wad 612d639c5521a31f6205350cd2bb908b45b8214250dd8bb8005edace956cb5f3 151816
+\ No newline at end of file
diff --git a/heatsink/model.txt b/heatsink/model.txt
@@ -0,0 +1,7 @@
+SOLID AL 237 2700 890 0.2 300 UNKNOWN 0 FRONT S_heatsink.stl
+SOLID SI 147 2330 700 0.1 300 UNKNOWN 0 FRONT S_tim.stl
+SOLID SIPw 148 2330 700 0.1 300 UNKNOWN 2e8 FRONT S_chip.stl
+
+H_BOUNDARY_FOR_SOLID CL 0.9 0.3 50 300 Boundary.stl
+
+SCALE 0.001 # model is in mm
diff --git a/heatsink/model2.txt b/heatsink/model2.txt
@@ -0,0 +1,13 @@
+
+SOLID AL 0.02 2700 890 0.2 300 UNKNOWN 0 FRONT S_heatsink.stl
+SOLID SI 0.01 2330 700 0.1 300 UNKNOWN 0 FRONT S_tim.stl
+SOLID SIPw 0.01 2330 700 0.1 300 UNKNOWN 2e8 FRONT S_chip.stl
+
+H_BOUNDARY_FOR_SOLID CL 0.9 0.3 5.51 300 Boundary.stl
+
+SCALE 0.001 # model is in mm
+
+# stardis -V 3 -M model.txt -P -21,23,1.5,inf -n 100
+# stardis -V 3 -M model.txt -s cl.stl,inf -n 100
+# time stardis -V 3 -M model.txt -R spp=1:img=64x48:fov=30:pos=50,35,30:tgt=-60,20,-20:up=0,0,-1 > img.ht
+# htpp -f -o img.pgn -v -m default img.ht
diff --git a/heatsink/model_multiple.txt b/heatsink/model_multiple.txt
@@ -0,0 +1,7 @@
+SOLID AL 237 2700 890 0.2 300 UNKNOWN 0 FRONT S_heatsink_multiple.stl
+SOLID SI 148 2330 700 0.1 300 UNKNOWN 0 FRONT S_tim_multiple.stl
+SOLID SIPw 148 2330 700 0.1 300 UNKNOWN 2e8 FRONT S_chip_multiple.stl
+
+H_BOUNDARY_FOR_SOLID CL 0.9 0.5 50 300 Boundary_multiple.stl
+
+SCALE 0.001 # model is in mm
diff --git a/heatsink/run_medium_computation.sh b/heatsink/run_medium_computation.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright (C) 2020 |Meso|Star>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+### USER PARAMETERS SECTION
+NREAL=1000
+GEOM_FILE=chip.vtk
+### END USER PARAMETERS SECTION
+
+#erase previous files if exist
+rm -f $GEOM_FILE
+
+#check stardis installation
+if !(command -v stardis > /dev/null)
+then
+ echo ">>> stardis command not found !"
+ echo ">>> To register stardis in the current shell you must type :"
+ echo ">>> source ~/Stardis-XXX-GNU-Linux64/etc/stardis.profile"
+ echo ">>> where ~/Stardis-XXX-GNU-Linux64 is the stardis directory installation"
+ exit 1
+fi
+
+#launch Stardis to dump geometry in vtk format
+stardis -V 3 -M model.txt -d > $GEOM_FILE
+
+#launch Stardis to compute mean temperature in the chip (named SIPw in model.txt)
+stardis -V 3 -M model.txt -m SIPw,INF -n $NREAL -e
diff --git a/heatsink/run_medium_computation_multiple.sh b/heatsink/run_medium_computation_multiple.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright (C) 2020 |Meso|Star>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+### USER PARAMETERS SECTION
+NREAL=1000
+GEOM_FILE=chip_multiple.vtk
+### END USER PARAMETERS SECTION
+
+#erase previous files if exist
+rm -f $GEOM_FILE
+
+#check stardis installation
+if !(command -v stardis > /dev/null)
+then
+ echo ">>> stardis command not found !"
+ echo ">>> To register stardis in the current shell you must type :"
+ echo ">>> source ~/Stardis-XXX-GNU-Linux64/etc/stardis.profile"
+ echo ">>> where ~/Stardis-XXX-GNU-Linux64 is the stardis directory installation"
+ exit 1
+fi
+
+#launch Stardis to dump geometry in vtk format
+stardis -V 3 -M model_multiple.txt -d > $GEOM_FILE
+
+#launch Stardis
+stardis -V 3 -M model_multiple.txt -m SIPw,INF -n $NREAL -e
diff --git a/readme.md b/readme.md
@@ -148,6 +148,25 @@ using the **F_BOUNDARY_FOR_SOLID** keyword. If this boundary should be assigned
a given temperature (Dirichlet condition), a different model.txt file should be
generated using the **T_BOUNDARY_FOR_SOLID** keyword for this boundary.
+# The heatsink
+
+This example is more complex than the previous cube. It represents an electronic
+device with a heatsink.
+
+Reading the file **model.txt**, you will see the model is composed of three
+media: the heasink, the chip which dissipates heat and an interface material
+between the heatsink and the chip.
+
+The script **run_medium_computation.sh** launches stardis to compute the mean
+temperature in the *chip* at the steady state. It will create also the geometry
+in vtk format.
+
+The script **run_medium_computation_multiple.sh** does the same computation for
+the model described in the file **model_multiple.txt**. This is an assembly of
+50 previous electronic devices.
+
+You will notice the computation time will not be 50 times greater. It will be of
+the same order.
# Download